“警告:您需要安装Ruby和Sass,并在您的PATH中执行此任务。”

当我尝试咕::服务,我得到这个警告。

Warning: Running "sass:server" (sass) task Warning: You need to have Ruby and Sass installed and in your PATH for this task to work. More info: https://github.com/gruntjs/grunt-contrib-sass Use --force to continue. 

所以我尝试了which rubywhich sass 。 ruby被发现在/ usr / bin / ruby​​中,但是在我的任何path文件夹中找不到sass。 我在/ usr / bin中使用了ls,并看到一个红色的sass项目,我相信这意味着它是一个存档或压缩文件。 我还在/ usr / bin / node_modules中find了一个sass文件夹,所以我删除了sass归档文件,并将node_modules中的sass文件夹复制到了我的/ usr / bin文件夹中。 我仍然得到这个警告和CSS从不编译。 任何人都知道我可以解决这个问题?

因为你没有在你的机器上安装Sass,所以你正在以某种方式使用它。 如果您的计算机上已安装了Ruby,请运行以下命令安装Sass:

 gem install sass 

你的问题就会消失